Bug 445811 - Some Comments automatically added to the public certs by bugzilla should be private, instead of public
Some Comments automatically added to the public certs by bugzilla should be p...
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Hardware Catalog (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: XINSUN
Red Hat Hardware Certification
Depends On:
  Show dependency treegraph
Reported: 2008-05-09 05:27 EDT by Xu Bo
Modified: 2008-08-19 05:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-08-19 05:44:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Xu Bo 2008-05-09 05:27:40 EDT
Description of problem:
After we mark a cert as a duplicate of an original public cert, a public comment
will be added to the original cert, which says:
"*** Bug xxxxxx has been marked as a duplicate of this bug. ***"
I presume this comment should be private, instead of public, as we should not
let clients see such information.

Version-Release number of selected component (if applicable): 

How reproducible:
Marking a cert as duplicate of an original public cert
Comment 1 XINSUN 2008-08-11 02:47:44 EDT
This comment: "*** Bug xxxxxx has been marked as a duplicate of this bug. ***"
comes from Bugzilla's codes.(If we clone a cert within hwcert-catalog, this commen will not appear.) and I will check with Noura, (seems Noura is working on this part for bz3.2 and changing some code for improvement.).

Best Regards!
Comment 2 Rob Landry 2008-08-11 10:19:17 EDT
I would have to guess this only applies if something is marked dup. from bz itself, calls from the catalog directly update the BZ db and don't make calls into the code, I would guess that BZ doesn't have scanner code looking for changes from the catalog and then updating event tables to match.  Presuming this is true, any events from the catalog that appear public that we wish private are changes in the catalog code, we should also attempt to understand what if anything special we might require from BZ for it's events in terms of public vs. private and open those as separate feature requests after we agree on what those events and privacy items are.
Comment 3 Noura El hawary 2008-08-14 09:55:16 EDT
Hi Rob & nicho,

what i understood from your comments is that you need to add code to bugzilla that will make the comment *** Bug xxxxxx has been marked as a duplicate of this bug. ***" in the bugzilla bugs that belongs to the product "Red Hat Hardware Certification Program" to make this comment private?? .. or is that something that you need to change in the hwcert code? ,, also I saw some comment about bug cloning in bugzilla , basically when cloning a bug if it has one private comment or more then by default the clone bug will have its initial description that has all the cloned bug's comments set to private. 

Comment 4 Rob Landry 2008-08-14 10:11:59 EDT

I think this is code we need to address in the hardware catalog, but I think Nicho thinks there may be some code that also needs addressing in bz's.  I'll discuss with Nicho and we'll get back to you.
Comment 5 XINSUN 2008-08-19 05:44:39 EDT
In hwcert catalog's code currently, that public comment which was mentioned
will not be added to the original cert.(means when clone a cert in catalog,it won't add the comment to the original cert). So we can close it as not a bug.


Note You need to log in before you can comment on or make changes to this bug.